View Issue Details

IDProjectCategoryView StatusLast Update
0017768PatchesPatchpublic2010-11-03 00:45
ReporterMarcelo B PaulaAssigned ToJesus Reyes 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0017768: IDE NewField Editor improvements
DescriptionThe proposed patch improves the newfield editor.
Features:
- Correct behaviour of Size Edit.
- Possibility to change the persistent component name.
- Enable/disable size information for known TFieldTypes

And some minor code corrections.

Tested on Lazarus svn, fpc 2.5.1, i386-win32.
TagsNo tags attached.
Fixed in Revision28042
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

child of 0016969 closedJesus Reyes Lazarus NewField property editor needs a review and improvements. 

Activities

Marcelo B Paula

2010-10-30 23:43

reporter   ~0042461

This solves 0016969

2010-11-02 00:13

 

newfield_v2.zip (4,165 bytes)

Marcelo B Paula

2010-11-02 00:14

reporter   ~0042572

Please, disconsider the first uploaded file. It´s a first version that, by my mistake, was incorrectly uploaded. The newfield_v2.zip is the right patch. If possible, please delete the previous one to avoid mistakes.
Sorry for this :)

Jesus Reyes

2010-11-02 21:14

developer   ~0042664

thanks applied

Marcelo B Paula

2010-11-03 00:45

reporter   ~0042683

Ok, Thank you.

Issue History

Date Modified Username Field Change
2010-10-30 23:42 Marcelo B Paula New Issue
2010-10-30 23:42 Marcelo B Paula File Added: newfield.zip
2010-10-30 23:42 Marcelo B Paula Widgetset => Win32/Win64
2010-10-30 23:43 Marcelo B Paula Note Added: 0042461
2010-10-31 09:02 Vincent Snijders LazTarget => 1.0
2010-10-31 09:02 Vincent Snijders Assigned To => Jesus Reyes
2010-10-31 09:02 Vincent Snijders Status new => assigned
2010-10-31 09:02 Vincent Snijders Target Version => 1.0.0
2010-10-31 09:03 Vincent Snijders Relationship added child of 0016969
2010-10-31 09:03 Vincent Snijders Project Lazarus => Patches
2010-11-02 00:13 Marcelo B Paula File Added: newfield_v2.zip
2010-11-02 00:14 Marcelo B Paula Note Added: 0042572
2010-11-02 00:32 Maxim Ganetsky File Deleted: newfield.zip
2010-11-02 21:14 Jesus Reyes Fixed in Revision => 28042
2010-11-02 21:14 Jesus Reyes Status assigned => resolved
2010-11-02 21:14 Jesus Reyes Fixed in Version => 0.9.29 (SVN)
2010-11-02 21:14 Jesus Reyes Resolution open => fixed
2010-11-02 21:14 Jesus Reyes Note Added: 0042664
2010-11-03 00:45 Marcelo B Paula Status resolved => closed
2010-11-03 00:45 Marcelo B Paula Note Added: 0042683